function [nV,nP]=refineP(V,P);
%V is of size 5x2. P is of 1x5.
% e-mail: mjlai@math.uga.edu
% Created: Dec. 2014, using Matlab R2014b
% Copyright 2014.
[l,m]=size(P); nV=V; nP={};
for i=1:m
n=size(V,1);p=P{i};
u1=V(p(1),:); u2=V(p(2),:); u3=V(p(3),:); u4=V(p(4),:); u5=V(p(5),:);
v1=(u1+u2+u3+u4+u5)/5;
v2=(u1+u2)/2;
v3=(u2+u3)/2;
v4=(u3+u4)/2;
v5=(u4+u5)/2;
v6=(u1+u5)/2;
v7=(v1+v2)/2;
v8=(v1+v3)/2;
v9=(v1+v4)/2;
v10=(v1+v5)/2;
v11=(v1+v6)/2;

J=find(v2(1,1)==nV(:,1) & v2(1,2)==nV(:,2));
if isempty(J)
nV=[nV;v2]; n2=n+1; n=n2;
else 
    n2=J(1);
end
J=find(v3(1,1)==nV(:,1) & v3(1,2)==nV(:,2));
if isempty(J) 
nV=[nV;v3]; n3=n+1; n=n3;
else 
    n3=J(1);
end
J=find(v4(1,1)==nV(:,1) & v4(1,2)==nV(:,2));
if isempty(J) 
nV=[nV;v4]; n4=n+1; n=n4;
else 
    n4=J(1);
end
J=find(v5(1,1)==nV(:,1) & v5(1,2)==nV(:,2));
if isempty(J)
nV=[nV;v5]; n5=n+1; n=n5;
else 
    n5=J(1);
end
J=find(v6(1,1)==nV(:,1) & v6(1,2)==nV(:,2));
if isempty(J) 
nV=[nV;v6]; n6=n+1; n=n6;
else 
    n6=J(1);
end
J=find(v7(1,1)==nV(:,1) & v7(1,2)==nV(:,2));
if isempty(J)
%nV=[nV;v1;v2;v3;v4;v5;v6;v7;v8;v9;v10;v11]; 
nV=[nV;v7]; n7=n+1; n=n7;
else 
    n7=J(1);
end
J=find(v8(1,1)==nV(:,1) & v8(1,2)==nV(:,2));
if isempty(J) 
nV=[nV;v8]; n8=n+1; n=n8;
else 
    n8=J(1);
end
J=find(v9(1,1)==nV(:,1) & v9(1,2)==nV(:,2));
if isempty(J)
nV=[nV;v9]; n9=n+1; n=n9;
else 
    n9=J(1);
end
J=find(v10(1,1)==nV(:,1) & v10(1,2)==nV(:,2));
if isempty(J) 
nV=[nV;v10]; n10=n+1; n=n10;
else 
    n10=J(1);
end
J=find(v11(1,1)==nV(:,1) & v11(1,2)==nV(:,2));
if isempty(J)
%nV=[nV;v1;v2;v3;v4;v5;v6;v7;v8;v9;v10;v11]; 
nV=[nV;v11]; n11=n+1; n=n11;
else 
    n11=J(1);
end
P1=[p(1), n2, n7, n11, n6]; 
P2=[p(2),n3,n8,n7,n2];
P3=[p(3),n4,n9,n8,n3];
P4=[p(4),n5,n10,n9,n4];
P5=[p(5),n6,n11,n10,n5];
P6=[n7,n8,n9,n10,n11]; 
nP2={P1,P2,P3,P4,P5,P6};
if isempty(nP)
    nP=nP2;
else
nP={nP{:}; nP2{:}};
end
end
%[size(nV), size(nP)]