function [lam1,lam2,lam3] = tcord(V1,V2,V3,v);
%        [lam1,lam2,lam3] = tcord(V1,V2,V3,v)
% This function returns the T cords with respect to the 
% triangle with vertices V1,V2,V3.
[lam1,lam2,lam3] = bary(V1,V2,V3,v(1),v(2));
[a1,a2,a3] = bary(V1,V2,V3,0,0);
lam1 = lam1-a1;
lam2 = lam2-a2;
lam3 = lam3-a3;

