function [V1,P1] = refine(V0,P0);
%        [V1,P1] = refineT(V0,P0);
% This function refines the input of polygons by adding nodes
% to the midpoints of the sides of the input polygons. 
% This matlab program is copyrighted @2010 by Ming-Jun Lai 
% through University of Georgia Research Foundation, Inc..
[l,m]=size(P0);
 V = V0;
 P1 = {};
 for i = 1:m
  p = P0{i}; [l,k]=size(p); p={p}; 
  switch k
      case 3
          [V,P]=refineT(V,p);
      case 4
          [V,P]=refineQ(V,p);
      case 5
          [V,P]=refineP(V,p);
      case 6
          [V,P]=refineH(V,p);
      case 7
          [V,P]=refineS(V,p);
      case 8
          [V,P]=refineO(V,p);
      case 9
          [V,P]=refine9(V,p);
      case 10
          [V,P]=refine10(V,p);
  end
  if isempty(P1)
     P1=P;
  else
     P1={P1{:},P{:}};
  end
  P=P1; V1=V;
 end
 